for n_adapt in 4 8 16 32; do
    python jax_meta.py --eta 1 --dataset=ColoredMNIST01 --n_adapt $n_adapt --methods blr blc blc_n_train
done

for n_adapt in 4 8 16 32; do
    for GAP in 0.05 0.1 0.2; do
        python jax_meta.py --eta 1 --dataset=ColoredMNIST01 --n_adapt $n_adapt --GAP $GAP --methods cblr
    done
done

for n_adapt in 4 8 16 32; do
    for MI in 0.1 1 10; do 
        for REG in 0.1 1 10; do 
            python jax_meta.py --eta 1 --dataset=ColoredMNIST01 --n_adapt $n_adapt --MI $MI --REG $REG --methods divdis --divdis_init finetune
        done
    done
done



for n_adapt in 16 32 64 128 256; do
    python jax_meta.py --eta 50 --dataset=PACS --n_adapt $n_adapt --methods blr blc blc_n_train
done

for n_adapt in 16 32 64 128 256; do
    for GAP in 0.05 0.1 0.2; do
        python jax_meta.py --eta 50 --dataset=PACS --n_adapt $n_adapt --GAP $GAP --methods cblr
    done
done

for n_adapt in 16 32 64 128 256; do
    for MI in 0.1 1 10; do 
        for REG in 0.1 1 10; do 
            python jax_meta.py --eta 50 --dataset=PACS --n_adapt $n_adapt --MI $MI --REG $REG --methods divdis --divdis_init reinit
        done
    done
done